Package org.jmock.expectation

# Class ExceptionalReturnValue

java.lang.Object
org.jmock.expectation.ExceptionalReturnValue

public class ExceptionalReturnValue extends Object
Sequence of exception values as required by MockMaker This is a generic class that should have been introduced to the mockobjects code stream instead of being separately included in org.mockobjects. It is possibly similar to a ReturnObjectList?

## Constructor Summary

Constructors
Constructor
Description
`ExceptionalReturnValue(Throwable exception)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getException()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExceptionalReturnValue

public ExceptionalReturnValue(Throwable exception)

## Method Details

### getException

public Throwable getException()